<?php

namespace Drush\Commands;

/**
 * Global Drush command to enable/disable all development modules at once.
 */
class DevModulesCommands extends DrushCommands {

  /** @var \Drupal\dev_modules\DevModulesInterface */
  protected $devModules;

  public function __construct() {
    require_once __DIR__ . '/../DevModulesInterface.php';
    require_once __DIR__ . '/../DevModules.php';
    require_once __DIR__ . '/../DevModules8.php';
  }

  /**
   * Enable/disable all development modules at once.
   *
   * @command site:dev
   * @param $flag
   *    On or off, yes or no, True or False, 1 or 0
   * @option list
   *    Only determine the list of modules and print that list to the console
   * @bootstrap full
   * @aliases dev-modules, dev
   */
  public function test($flag, $options = ['list' => FALSE]) {
    $this->devModules = new \Drupal\dev_modules\DevModules8();
    $list = $this->devModules
      ->setEnableMode($flag)
      ->prepareModules()
      ->processModules($options['list']);
    if ($options['list']) {
      $this->io()->section('Enable');
      $this->io()->listing($list['enable']);
      $this->io()->section('Disable');
      $this->io()->listing($list['disable']);
    }
  }

}
