<?php

namespace Drupal\dev_modules;

/**
 * Common code for Drupal before version 8.
 */
class DevModules7 extends DevModules {

  protected function alterModuleLists() {
    $this->developmentModules += module_invoke_all('dev_modules_dev');
    $this->productionModules += module_invoke_all('dev_modules_production');
    drupal_alter('dev_modules_dev', $this->developmentModules);
    drupal_alter('dev_modules_production', $this->productionModules);
    return $this;
  }

  protected function moduleExists($module) {
    return module_exists($module);
  }

  protected function enableModules() {
    module_enable($this->enableModules);
    return $this;
  }

  protected function disableModules() {
    module_disable($this->disableModules);
    return $this;
  }

}
